Name:		kepas
Summary:	Kepas is a zeroconf KDE4 filetransfer tool
Version:	0.9.3
Release:	%mkrel 3
Source0:	%name-%version.tar.xz
License:	GPLv2
URL:		http://kde-apps.org/content/show.php/Kepas+-+KDE+Easy+Publish+and+Share?content=73968
Group:		Graphical desktop/KDE4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake
BuildRequires:	make
BuildRequires:	kdebase4-devel

%description
It discovers your local LAN for buddies (KDNSSD) and lets you
transfer files or klipper entries from a trayicon or via drag
'n drop with the kepas plasmoid.

Current features:

* Run Kepas as Plasmoid or Trayicon
* Zeroconf buddy discovery in your LAN (KDNSSD)
* Filetransfer between buddies (kepas or giver)
* Filetransfer to kopete ICQ contacts
* Filetransfer to kopete Jabber contacts
* Transfer of klipper entries
* Activate received klipper entries
* Transfer KNotes
* Drag 'n Drop Files on the kepas Plasmoid
* Configure the destination folder and nickname
* Start a Public Folder (KPF)
* Monitor your Public Folders
* available Public Folders are shown on Buddy discovery
* public dbus Methods to SendFile, SendKlipper, SendKNote

TODO:

* Directory Transfer

BUGS:

* either the plasmoid or the trayicon can be started; not both !

%prep 
%setup -q

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

mkdir -p %{buildroot}%{_datadir}/applications/
%{__cat} <<EOF >%{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Kepas
Comment=Kepas zeroconf KDE4 filetransfer tool
Exec=Kepas
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Internet;X-MandrivaLinux-Internet-FileTransfer;
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%_bindir/kepastray
%_libdir/kde4/plasma_applet_kepas.so
%_libdir/*.so
%_datadir/applications/kde4/kepas.desktop
%_datadir/applications/kepas.desktop
%_datadir/apps/kepas/kepas.notifyrc
%_datadir/apps/plasma/plasma.notifyrc
%_datadir/icons/hicolor/128x128/apps/kepas.png
%_datadir/icons/hicolor/16x16/apps/kepas.png
%_datadir/icons/hicolor/22x22/apps/kepas.png
%_datadir/icons/hicolor/32x32/apps/kepas.png
%_datadir/icons/hicolor/48x48/apps/kepas.png
%_datadir/icons/hicolor/64x64/apps/kepas.png
%_datadir/kde4/services/plasma-applet-kepas.desktop

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.9.3-2pclos2010
- rebuild for 4.5.1


* Tue Jun 01 2010 Chomp <chomptheman@gmail.com> 0.9.3-1pclos2010
- created per user request based on specfile from mdv


